<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ConsoleMessageLocation](./puppeteer.consolemessagelocation.md)

## ConsoleMessageLocation interface


<b>Signature:</b>

```typescript
export interface ConsoleMessageLocation 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [columnNumber](./puppeteer.consolemessagelocation.columnnumber.md) | number | 0-based column number in the resource if known or <code>undefined</code> otherwise. |
|  [lineNumber](./puppeteer.consolemessagelocation.linenumber.md) | number | 0-based line number in the resource if known or <code>undefined</code> otherwise. |
|  [url](./puppeteer.consolemessagelocation.url.md) | string | URL of the resource if known or <code>undefined</code> otherwise. |

